<!--  -->
<template>
  <div class="m-container">
    <h2>
      <!-- <div class='squrt'></div> {{ pageName }} -->
      <el-page-header @back="goBack" :content="title"></el-page-header>
    </h2>
    <afterWorkList/>
  </div>
</template>

<script>
import afterWorkList from "@/views/afterSchoolManager/afterWorkList";
export default {
  components: { afterWorkList },
  data() {
    return {
      FsearchForm: null,
      Frules: null,
      title:'',
      id:null
    };
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {
    this.init();
  },
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {
    
  },
  activated() {
    this.init();
  },
  methods: {
    init() {
      if (this.$route.query.searchForm) {
        this.FsearchForm = this.$route.query.searchForm;
      }
      if (this.$route.query.rules) {
        this.Frules = this.$route.query.rules;
      }
          this.title = this.$route.query.title
          this.id = this.$route.query.extracurricularExercisesId
          // console.log(this.id)
        //   console.log(this.$router.query)
    },
    goBack() {
      this.$router.push({ path: "/business/afterSchoolManager", query: { rules: this.Frules, searchForm: this.FsearchForm } });
    }
  }
};
</script>
<style lang='scss' scoped>
</style>